
%if "%{?fedora}" > "2" || "%{?rhel}" > "4"
%define _with_gstreamer --with-gstreamer
%endif

%if "%{?fedora}" > "4" || "%{?rhel}" > "4"
%define gst 08 
BuildRequires: libXtst-devel libXinerama-devel
%endif

# define to build nonfree bits (for that other repo)
%define nonfree 1

%if "%{?nonfree:1}" == "1"

Name: 	 kaffeine-extras-nonfree

%define  _with_lame --with-lame
Requires:  kaffeine = %{version}
Patch1: kaffeine-0.8.2-codecs.patch
# split occurred here
Conflicts: kaffeine < 0.8.2-2

%else
Name:    kaffeine
%endif

Version: 0.8.2
Release: 3%{?dist}

License: GPL
Summary: Xine-based media player
Group:   Applications/Multimedia
URL:     http://kaffeine.sourceforge.net/
Source:  http://dl.sourceforge.net/sourceforge/kaffeine/kaffeine-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gettext
BuildRequires: desktop-file-utils
BuildRequires: kdelibs-devel
BuildRequires: cdparanoia-devel cdparanoia
BuildRequires: libvorbis-devel
BuildRequires: xine-lib-devel
%{!?_without_dvb:BuildRequires: glibc-kernheaders }
%{?_with_gstreamer:BuildRequires: gstreamer%{?gst}-plugins-devel >= 0.8.7}
# not included in Extras, disabled
%{?_with_lame:BuildRequires: lame-devel}

## kdelibs >= 3.5.4 includes x-mplayer2.desktop mimetype
## everybondy should be using kde >= 3.5.4 by now... (:
#global kdelibs_ver %(kde-config --version 2>/dev/null | grep '^KDE' | cut -d' ' -f2 | cut -d- -f1)
#if "%{?kdelibs_ver}" >= "3.5.4"
%define x_mplayer2_hack 1
Requires: kdelibs >= 6:3.5.4
#or
#Requires: %{_datadir}/mimelnk/application/x-mplayer2.desktop
#endif

%if "%{?nonfree:1}" == "1" && "%{?fedora}" > "5"
# can view dvd's if libdvdcss is available
Requires(hint): libdvdcss
Requires(hint): xine-lib-extras-nonfree

%description
Nonfree support bits for kaffeine, including DVD playback, MP3
decoding, as well as extended audio/video codec support.

%else
%description
Kaffeine is a xine-based media player for KDE.  It plays back CDs,
and VCDs, and can decode all (local or streamed) multimedia formats 
supported by xine-lib.
Additionally, Kaffeine is fully integrated in KDE, it supports drag
and drop and provides an editable playlist, a bookmark system, a
Konqueror plugin, OSD and much more.

%package devel
Summary: Development files for %{name}
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: kdelibs-devel
%description devel
%{summary}.
%endif


%prep
%setup -q -n kaffeine-%{version}

%{?nonfree:%patch1 -p1 -b .codecs}


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

# easier than patching, and using --with-extra-includes=%{_includedir}/cdda below -- Rex
CPPFLAGS="-I%{_includedir}/cdda"; export CPPFLAGS

%configure \
  --disable-rpath \
  --disable-gcc-hidden-visibility \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final \
  %{?_without_dvb} \
  %{?_with_gstreamer} %{!?_with_gstreamer:--without-gstreamer} \
  %{?_with_lame} %{!?_with_lame:--without-lame}

%if "%{?nonfree:1}" == "1"
make %{?_smp_mflags} -C kaffeine/src/input/disc/plugins
%else
make %{?_smp_mflags}
%endif


%install
rm -rf $RPM_BUILD_ROOT

%if "%{?nonfree:1}" == "1"
make install DESTDIR=$RPM_BUILD_ROOT -C kaffeine/src/input/disc/plugins/mp3lame
%else
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
  --vendor="" \
  --dir="$RPM_BUILD_ROOT%{_datadir}/applications/kde" \
  $RPM_BUILD_ROOT%{_datadir}/applications/kde/*.desktop

## File lists
# locale's
%find_lang %{name} 
# HTML
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  lang=$(basename $lang_dir)
  echo "%lang($lang) %doc $HTML_DIR/$lang/*" >> %{name}.lang
done
fi

# Unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la
%{?x_mplayer2_hack:rm -f $RPM_BUILD_ROOT%{_datadir}/mimelnk/application/x-mplayer2.desktop}
%endif


%clean
rm -rf $RPM_BUILD_ROOT


%if "%{?nonfree:1}" == "1"
%files 
%defattr(-,root,root,-)
%{_libdir}/kde3/libkaffeinemp3lame.*
%{_datadir}/services/kaffeinemp3lame.desktop
%else

%post
/sbin/ldconfig ||:
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database >& /dev/null ||:

%postun
/sbin/ldconfig ||:
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database >& /dev/null ||:

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README* TODO
%{_bindir}/kaffeine
%{_libdir}/lib*.so.*
%{_libdir}/kde3/lib*.*
%{_datadir}/appl*/*/*.desktop
%{?_with_gstreamer:%{_datadir}/apps/gstreamerpart/}
%{_datadir}/apps/kaffeine/
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_datadir}/apps/profiles/
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/mimelnk/*/*.desktop
%{_datadir}/service*/*.desktop

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/lib*.so
%endif


%changelog
* Wed Nov 01 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.2-3
- update %%description to not mention any specific mm containers 
  (like AVI, WMV).

* Wed Nov 01 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.2-2
- fixup for Extras
- support building kaffeine-extras-nonfree for that other repo. 

* Tue Sep 12 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.2-1
- 0.8.2

* Thu Aug 10 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-5
- for kdelibs >= 3.5.4, omit 
  /usr/share/mimelnk/application/x-mplayer2.desktop (lvn bug #1132)

* Thu May 18 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-4
- BR: libXtst-devel libXinerama-devel (fc5+)

* Tue Apr 25 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-3
- (re)enable gstreamer support (fc3+)

* Mon Apr 24 2006 Rex Dieter <rexdieter[AT]users.sf.net. 0.8.1-2
- avoid re-auto'ing thing, breaks locale/po-files

* Mon Apr 03 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-1
- 0.8.1
- cdda patch (upsgream bug #1463542)

* Sat Mar 25 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.7.1-4
- drop --vendor=livna
- fdo icon spec fix
- kaffeine-0.7.x-CVE-2006-0051.patch

* Thu Mar 09 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- switch to new release field

* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- add dist

* Thu Nov 03 2005 Rex Dieter <rexdieter[AT]users.sf.net> - 0.7.1-0.lvn.3
- update-desktop-database (#645)
- -devel pkg (#645)
- -gstreamer subpkg, marked experimental (due to upstream #1254363)
- omit -desktop patch (#645)
- use desktop-file-install (#645)

* Wed Sep  7 2005 Thorsten Leemhuis <fedora at leemhuis.info> - 0:0.7.1-0.lvn.2
- configure with --with-qt-libraries=${QTDIR}/lib to fix build on x86_64

* Sun Sep  4 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7.1-0.lvn.1
- 0.7.1, gcc visibility hack no longer needed.

* Mon Aug  8 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7-0.lvn.1
- 0.7, now with DVB support (FC4+ only).
- GStreamer support disabled by default due to upstream #1254363, rebuild
  with "--with gstreamer" to enable.
- Quick and dirty workaround for upstream #1253989.

* Sun Mar 20 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6-0.lvn.1
- 0.6.

* Thu Dec 23 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.5-0.lvn.1
- Update to 0.5.

* Fri Nov  5 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.5-0.lvn.0.1.rc2
- Update to 0.5rc2.

* Sun Oct  3 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.5-0.lvn.0.1.rc1
- Update to 0.5rc1.
- Requires KDE >= 3.2 -> FC2 only -> make some related cleanups.
- Purge libselinux workarounds, no longer needed.
- Improve GNOME HIG compliance of desktop entry, sync with KPlayer (bug 173).
- Disable dependency tracking to speed up the build.
- Provide -devel.

* Sat May 22 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.4.3-0.lvn.1.b
- Update to 0.4.3b.
- Add workaround for https://bugzilla.redhat.com/123853

* Mon May  3 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.4.3-0.lvn.1
- Update to 0.4.3.

* Wed Mar 24 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.4.2-0.lvn.1
- Update to 0.4.2.

* Sat Jan 17 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.4.1-0.lvn.1
- Update to 0.4.1, patches applied upstream.
- Update description.

* Mon Nov 17 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.4-0.lvn.1
- Update to 0.4.
- Disable rpath.
- Add Gnome icon.

* Tue Jul 29 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.2-0.fdr.2
- Own directories under %%{_datadir}/icons.

* Tue Jul  8 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.2-0.fdr.1
- First build.
